Bug 843748 - Setting lots of quota will make client get blocked.
Setting lots of quota will make client get blocked.
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.3.0
Unspecified Linux
medium Severity high
: ---
: ---
Assigned To: vpshastry
: Triaged
Depends On:
Blocks: 848237
  Show dependency treegraph
 
Reported: 2012-07-27 05:05 EDT by lbyeason
Modified: 2014-08-11 19:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848237 (view as bug list)
Environment:
Last Closed: 2012-12-21 01:55:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lbyeason 2012-07-27 05:05:23 EDT
Description of problem:

While client is writting,Setting quota on lots of dirctories will make client get blocked. 
Version-Release number of selected component (if applicable):
3.3.0 & 3.2.6

How reproducible:


Steps to Reproduce:
1.Create a replica volume on server1 and server2.(Number of Bricks: 1 x 2 = 2)
2.Mount volume on client1 and untar kernel to mountpoint.
3.While client is compiling the kernel, set quota on those dirctories which were untared from kernel with value of 100MB each directory.
 
Actual results:
Client will get blocked in a while,not be able to use some commands(eg df, ls "mountpoint").

Expected results:
Compilation will be completed.

Additional info:
Log of brick is full of:
[2012-07-27 14:27:43.610378] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.613482] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.616928] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
[2012-07-27 14:27:43.619951] W [marker-quota.c:1977:mq_initiate_quota_txn] 0-vol4test-marker: inode ctx get failed, aborting quota txn
Comment 1 vpshastry 2012-12-21 01:55:12 EST
While compiling kernel, set quota on around 2000 dirs. Still client was safe from crash.

Note You need to log in before you can comment on or make changes to this bug.